<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">

<hibernate-mapping
    default-lazy="false"
    auto-import="true"
    default-access="property"
    default-cascade="all"
    package="gov.va.med.esr.common.model.lookup">

    <class
        name="MsdsCountry"
        table="STD_MSDSCOUNTRY"
        mutable="false">
        <cache usage="read-only" />

        <id
            name="identifier"
            type="java.math.BigDecimal"
            column="ID">
            <generator class="assigned" />
        </id>

        <property
            name="code"
            type="java.lang.String"
            not-null="true"
            insert="false"
            update="false"
            column="CODE"
            length="7"
            unique="true">
        </property>
		
        <property
            name="name"
            type="java.lang.String"
            not-null="true"
            insert="false"
            update="false"
            column="COUNTRY_NAME"
            length="50"
            unique="true">
        </property>
		
        <property
            name="description"
            type="java.lang.String"
            not-null="true"
            insert="false"
            update="false"
            column="DESCRIPTION"
            length="50"
            unique="true">
        </property>	        	
	</class>

</hibernate-mapping>